de.esprit.netsuite.eserver

## Class RemoteServerShutdownLaunch

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractApplicationLaunch<G,C>
  - - de.esprit.netsuite.client.AbstractClientLaunch<de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCFG,ClientContext>
    - - de.esprit.netsuite.eserver.RemoteServerShutdownLaunch

-     public class RemoteServerShutdownLaunch
      extends AbstractClientLaunch<de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCFG,ClientContext>

  This is a special GUI free client for shutting down a remotely running EsprIT server. Note: if the server is running on the local host you may alternatively consider to launch `EspritServerLaunch` with the -shutdown option.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `DO_NOT_EXIT, EXIT_CODE_CLP_ERROR, EXIT_CODE_LAUNCH_ERROR, isTestMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteServerShutdownLaunch(java.lang.String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCLP` | `createCommandLineParser(java.lang.String[] args)` Creates the CommandLineParser instance for launching the application.
    `protected ClientContext` | `createContext(de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCFG cfg)` Creates the application context from the Config object.
    `protected void` | `launchApplication(ClientContext clientCtx)` Must be implemented for running a non-GUI application
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientLaunch

      `doOnMainFrameCreated`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `createSplashIcon, doOnContextCreated, getError, getLaunchedContext, getLaunchedMainFrame, handleCommandLineError, handleLaunchError, hasError, hasGui, launch, launchMainFrame, setTestMode, showFatalError, showFatalError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteServerShutdownLaunch

          public RemoteServerShutdownLaunch(java.lang.String[] args)

  - ### Method Detail

    - #### createCommandLineParser

          protected de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCLP createCommandLineParser(java.lang.String[] args)

      Description copied from class: `AbstractApplicationLaunch`
      Creates the CommandLineParser instance for launching the application.
      Overrides:
        `createCommandLineParser` in class `AbstractClientLaunch<de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCFG,ClientContext>`

    - #### createContext

          protected ClientContext createContext(de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCFG cfg)
                                         throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Creates the application context from the Config object.
      Specified by:
        `createContext` in class `AbstractApplicationLaunch<de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCFG,ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### launchApplication

          protected void launchApplication(ClientContext clientCtx)
                                    throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Must be implemented for running a non-GUI application
      Overrides:
        `launchApplication` in class `AbstractApplicationLaunch<de.esprit.netsuite.eserver.RemoteServerShutdownLaunch.MyStopServerCFG,ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.